Subject: bug#18381: 24.3.93; Diary can wrongly be displayed in Calendar's window

From: Glenn Morris <[email-masked]>
Date: Mon, 08 Sep 2014 02:04:43 -0400

martin rudalics wrote:

> Then I probably misinterpreted his patch.  What is the "general-purpose
> function" you intend here?

The reported issue is to do with calendar-view-diary-initially-flag non-nil,
so (in emacs-24) I prefer to fix that specific case and nothing more,
rather than changing the general function calendar-in-read-only-buffer
and the "can get called every time you view the diary" diary-simple-display.

I'm sure the general way in which calendar displays things can be
modernized (e.g. cal-x is probably unnecessary these days) to use
display-buffer's newer features, but it's not on my agenda right now.

So I committed my thing to emacs-24 and we'll see how it goes.